package com.datacloudsec.response;

import com.datacloudsec.utils.XmlUtils;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.dom4j.Document;

/* loaded from: com_datacloudsec_response.jar:com/datacloudsec/response/XmlResponse.class */
public class XmlResponse implements IResponse {
    protected boolean success;
    protected boolean isDelHead;
    protected Map<String, Object> dataObj;

    @Override // com.datacloudsec.response.IResponse
    public boolean isSuccess() {
        return this.success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public boolean isDelHead() {
        return this.isDelHead;
    }

    public void setDelHead(boolean isDelHead) {
        this.isDelHead = isDelHead;
    }

    public XmlResponse(boolean success) {
        this.dataObj = new HashMap();
        this.success = success;
        this.isDelHead = true;
    }

    public XmlResponse(boolean success, boolean isDelHead) {
        this.dataObj = new HashMap();
        this.success = success;
        this.isDelHead = isDelHead;
    }

    public void putObj(String key, Object value) {
        if (value != null) {
            this.dataObj.put(key, value);
        }
    }

    public void putAll(Map<String, Object> map) {
        if (map != null) {
            this.dataObj.putAll(map);
        }
    }

    @Override // com.datacloudsec.response.IResponse
    public void shipToResponse(HttpServletRequest request, HttpServletResponse response) {
        try {
            response.setContentType("text/xml;charset=UTF-8");
            StringBuilder sb = new StringBuilder();
            for (Map.Entry<String, Object> e : this.dataObj.entrySet()) {
                if (e.getValue() instanceof Document) {
                    sb.append(((Document) e.getValue()).asXML());
                } else {
                    sb.append(XmlUtils.map2Xml(e.getValue(), e.getKey(), this.isDelHead));
                }
            }
            response.getWriter().write(sb.toString());
        } catch (Exception e2) {
            LOG.error("响应结果出错", e2);
        }
    }

    public String toString() {
        try {
            StringBuilder sb = new StringBuilder();
            for (Map.Entry<String, Object> e : this.dataObj.entrySet()) {
                sb.append(XmlUtils.map2Xml(e.getValue(), e.getKey(), this.isDelHead));
            }
            return sb.toString();
        } catch (Exception e2) {
            LOG.error("转换XML出错", e2);
            return null;
        }
    }
}
